Location: PHPKode > scripts > PHP Requirements Checker > reqchecker/requirements_en.xml
<?xml version="1.0" encoding="UTF-8"?>
<requirements>
    <title>PHP System Requirements Checker</title>
    <success_url>install.php</success_url>
    <group type="environment">
        <description>Environment</description>
        <item name="apache2handler">
            <description>Apache Web-server</description>
            <key>Apache Version</key>
            <pattern>#.*Apache/([0-9\.]*).*#</pattern>
            <version>2.2</version>
        </item>
        <item name="php">
            <description>PHP Interpreter</description>
            <getter>phpversion</getter>
            <version>5.2</version>
        </item>
    </group>
    <group type="settings">
        <description>PHP parameters</description>
        <item name="memory_limit">
            <description>Memory limit</description>
            <clean_pattern>#[^0-9\.]#</clean_pattern>
            <value>128M</value>
        </item>
        <item name="post_max_size">
            <description>Maximal POST data size</description>
            <clean_pattern>#[^0-9\.]#</clean_pattern>
            <value>20M</value>
        </item>
        <item name="upload_max_filesize">
            <description>Maximal upload file size</description>
            <clean_pattern>#[^0-9\.]#</clean_pattern>
            <value>20M</value>
        </item>
    </group>
    <group type="storage">
        <description>Data storages</description>
        <item name="mysql">
            <description>MySQL client</description>
            <checker>checkMySQLClient</checker>
            <version>5.1</version>
        </item>
    </group>
    <group type="libraries">
        <description>Libraries</description>
        <item name = "libxml">
            <description>DOM XML support</description>
            <key>libXML Compiled Version</key>
            <version>2.0.0</version>
        </item>
        <item name = "gd">
            <description>GD library</description>
            <key>GD Version</key>
            <clean_pattern>#[^0-9\.]#</clean_pattern>
            <version>2.0.0</version>
        </item>
        <item name = "Reflection">
            <description>Reflection class</description>
        </item>
        <item name = "mcrypt">
            <description>mcrypt library</description>
        </item>
        <item name = "mbstring">
            <description>MB_String module</description>
        </item>
        <item name = "json">
            <description>JSON module</description>
        </item>
        <item name = "iconv">
            <description>iconv library</description>
        </item>
        <item name = "mysql">
            <description>MySQL module</description>
        </item>
        <item name = "session">
            <description>Sessions module</description>
        </item>
        <item name = "sockets">
            <description>E-Mail sending module</description>
        </item>
        <item name = "zlib">
            <description>Data compression library</description>
        </item>
        <item name = "curl">
            <description>CURL library</description>
        </item>
    </group>
    <resource try_again="Try Again"
              continue_install="Continue Installation"
              passed="passed"
              rejected="rejected"
              installed="installed"
              not_installed="not installed"/>
</requirements>
Return current item: PHP Requirements Checker